Bug 820976 - [RHEVM] [GUI] [webadmin] [Setup Host Networks] changing rhevm NIC automatically configured Boot Protocol to "none".
[RHEVM] [GUI] [webadmin] [Setup Host Networks] changing rhevm NIC automatical...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Muli Salem
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 09:19 EDT by Martin Pavlik
Modified: 2016-02-10 14:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 03:07:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot rhevm_em1.png (132.59 KB, image/png)
2012-05-11 09:20 EDT, Martin Pavlik
no flags Details
screenshot rhevm_em2.png (130.58 KB, image/png)
2012-05-11 09:21 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-05-11 09:19:53 EDT
Description of problem:
if rhevm NIC is changed Boot Protocol = none (see screenshot rhevm_em2.png) this should be not allowed, rhevm interface has to have either Boot Protocol = Static or Boot Protocol = DHCP

Version-Release number of selected component (if applicable):
oVirt Enterprise Virtualization Engine Manager Version: 3.1.0_0001-9.el6ev 

How reproducible:
100%

Steps to Reproduce:
1.Hosts -> your host (in maintenance) -> Setup Hosts network (for detailed settings see screenshot rhevm_em1.png)

2.Drag rhevm network to some different NIC (e.g. em2) -> click the pencil icon of the interface where you dragged rhevm network (see screenshot rhevm_em2.png)

  
Actual results:
Boot Protocol = none

Expected results:
rhevm interface has to have either Boot Protocol = Static or Boot Protocol = DHCP

Additional info:
Comment 1 Martin Pavlik 2012-05-11 09:20:51 EDT
Created attachment 583842 [details]
screenshot rhevm_em1.png
Comment 2 Martin Pavlik 2012-05-11 09:21:33 EDT
Created attachment 583843 [details]
screenshot rhevm_em2.png
Comment 3 lpeer 2012-05-18 03:25:45 EDT
before blocking this we should look into all-in-one scenario and see if we really need an IP for the communication between the manager and the host. Does registering a host with 127.0.0.1 work?
Comment 4 Muli Salem 2012-08-05 09:26:46 EDT
Adding to that - 

SetupNetworks flow changed so that when rhevm NIC is changed Boot Protocol does not change, but rather stays the same.

In addition, Boot Protocol None is greyed out when dealing with mgmt network.

It seems the only way to set Boot Protocol=none is through REST, perhaps this option should be kept for admins to use.
Comment 5 lpeer 2012-08-06 02:57:11 EDT
(In reply to comment #4)
> Adding to that - 
> 
> SetupNetworks flow changed so that when rhevm NIC is changed Boot Protocol
> does not change, but rather stays the same.
> 
> In addition, Boot Protocol None is greyed out when dealing with mgmt network.
> 
> It seems the only way to set Boot Protocol=none is through REST, perhaps
> this option should be kept for admins to use.

I agree, Martin can you please confirm the described above is the status?
Comment 6 Martin Pavlik 2012-08-06 03:04:44 EDT
Yes, I confirm. What is next? Closed current release?
Comment 7 lpeer 2012-08-06 03:07:34 EDT
(In reply to comment #6)
> Yes, I confirm. What is next? Closed current release?

yes thank you.

Note You need to log in before you can comment on or make changes to this bug.